> ## Documentation Index
> Fetch the complete documentation index at: https://densify-sync-changelog-7.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete webhook from an analysis



## OpenAPI

````yaml openapi/public_cloud/Analysis_Webhook.yaml DELETE /webhook/analysis/{platformType}/{platformSubType}/{analysisId}
openapi: 3.1.0
info:
  title: Kubex – Analysis Webhook API
  version: 1.0.0
  description: >
    Manage webhook definitions for analyses. Supports listing by platform,
    getting, adding, updating, and deleting a webhook for a specific analysis.
servers:
  - url: https://{host}
    variables:
      host:
        default: api.example.com
security: []
tags:
  - name: Analysis Webhook
paths:
  /webhook/analysis/{platformType}/{platformSubType}/{analysisId}:
    delete:
      tags:
        - Analysis Webhook
      summary: Delete webhook from an analysis
      operationId: deleteAnalysisWebhook
      parameters:
        - name: platformType
          in: path
          required: true
          schema:
            type: string
            enum:
              - cloud
              - containers
        - name: platformSubType
          in: path
          required: true
          schema:
            type: string
            enum:
              - aws
              - gcp
              - azure
              - kubernetes
        - name: analysisId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessage'
        '404':
          description: Analysis webhook not found.
components:
  schemas:
    StatusMessage:
      type: object
      properties:
        message:
          type: string
        status:
          type: integer
      required:
        - message
        - status

````